<?php
  session_start();
  require_once 'setup.php';

  $user = new USER();

  // If already Logged-in Redirect to Home
  if(empty($_GET['id']) && empty($_GET['code']))
  { $user->redirect('index.php'); }

  if(isset($_GET['id']) && isset($_GET['code']))
  {
    // Clear the Navigation Session variables
     $_SESSION['id']   = '' ;
     $_SESSION['code'] = '' ;
     $_SESSION['jump'] = '' ;


    // Parse the Session info and verify
     $id = base64_decode($_GET['id']);
     $code = $_GET['code'];
     
     $statusY = "Y";
     $statusN = "N";
     
      try
      {
           $stmt = $user->runQuery("SELECT userID,userStatus FROM tbl_users WHERE userID=:uID AND tokenCode=:code LIMIT 1");
              $stmt->execute(array(":uID"=>$id,":code"=>$code));
              $row=$stmt->fetch(PDO::FETCH_ASSOC);


           if($stmt->rowCount() > 0)
           {
              if($row['userStatus']==$statusN)
              {
                 $stmt = $user->runQuery("UPDATE tbl_users SET userStatus=:status WHERE userID=:uID");
                 $stmt->bindparam(":status",$statusY);
                 $stmt->bindparam(":uID",$id);
                 $stmt->execute(); 
               
                 $msg = "<strong>Congratulations!</strong>  Your Account is Now Activated : 
                        <br /><br />
                        <a href='index.php'>Login here</a>
                        <br />
                        <h4>Redirecting to Login Page ...</h4>" ;
                        header("refresh:4; index.php");
              }else
              {
                 $msg = "Sorry!</strong>  Your Account is already Activated : 
                        <br /><br />
                        <a href='index.php'>Login here</a>
                        <br />
                        <h4>Redirecting to Login Page ...</h4>" ;
                        header("refresh:4; index.php");
              }
           }else
           {
              $msg = "<strong>Sorry!</strong>  Login Account Not Found :
                     <br /><br /> 
                     <a href='index.php'>Login here</a>
                        <br />
                        <h4>Redirecting to Login Page ...</h4>" ;
                        header("refresh:4; index.php");
           } 

      }catch(PDOException $ex)
      { 
        $msg = "Database read error: ".$ex->getMessage(); 
      }

  }else  // Not - isset($_GET['id']) && isset($_GET['code'])
  {
      $msg = "<strong>Sorry!</strong>  Something went wrong :
             <br /><br /> 
             <a href='index.php'>Start Over Please</a>
                <br />
                <h4>Redirecting to Login Page ...</h4>" ;
                header("refresh:4; index.php");    
  }

?>


<!DOCTYPE html>
<html>
  <head>
    <title>Confirm Registration</title>
    <link rel="stylesheet"   href="login.css"  />
  </head>
  <body id="login">
    <div class="container">
      <h1>Password Reset Page</h1>
        <div class='alert alert-success'>      
          <h3><div class="CommBox">
              <?php if(isset($msg)){ echo $msg;  } ?>                
              </div>
          </h3>
        </div>  <!-- class='alert alert-success' -->
    </div> <!-- /container -->
  </body>
</html>